%define api 0.1

%define major 1
%define libname %mklibname cdr %{api} %{major}
%define devname %mklibname cdr %{api} -d

Summary:	A library providing ability to interpret and import Corel Draw drawings
Name:		libcdr
Version:	0.1.0
Release:	3
License:	GPLv2+ or LGPLv2.1+
Group:		System/Libraries
Url:		http://www.freedesktop.org/wiki/Software/libcdr
Source0:	http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.bz2
BuildRequires:	doxygen
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(libwpd-0.10)
BuildRequires:	pkgconfig(libwpg-0.3)
BuildRequires:	pkgconfig(zlib)

%description
Libcdr is library providing ability to interpret and import Corel Draw
drawings into various applications. You can find it being used in
libreoffice.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library providing ability to interpret and import Corel Draw drawings
Group:		System/Libraries
Conflicts:	%{_lib}cdr1 < 0.1.0-3
Obsoletes:	%{_lib}cdr1 < 0.1.0-3

%description -n %{libname}
Libcdr is library providing ability to interpret and import Corel Draw
drawings into various applications. You can find it being used in
libreoffice.

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING.*
%{_libdir}/%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}cdr-devel < 0.1.0-3
Obsoletes:	%{_lib}cdr-devel < 0.1.0-3

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%{_includedir}/%{name}-%{api}
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation of %{name} API
Group:		Documentation
BuildArch:	noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%files doc
%doc COPYING.*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html

#----------------------------------------------------------------------------

%package tools
Summary:	Tools to transform Corel Draw drawings into other formats
Group:		Graphics

%description tools
Tools to transform Corel Draw drawings into other formats.
Currently supported: XHTML, raw.

%files tools
%{_bindir}/cdr2text
%{_bindir}/cdr2raw
%{_bindir}/cdr2xhtml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -fi
%configure \
	--disable-static \
	--disable-werror

sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool

%make V=1


%install
%makeinstall_std

# these binaries do nothing currently
rm -f %{buildroot}/%{_bindir}/cmx2*


%changelog
* Fri Feb 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.1.0-3
+ Revision: bb032fe
- More spec cleanups


